com.github.lgooddatepicker.zinternaltools

## Class HighlightInformation

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.HighlightInformation

    public class HighlightInformation
    extends Object

HighlightInformation, Instances of this class are returned from a HighlightPolicy to indicate that a date should be highlighted. When a date should not be highlighted, then the HighlightPolicy should return null. You may (optionally) fill out the fields in the HighlightInformation class to give any particular highlighted day a unique background color, foreground color, or tooltip text. If the color fields are null, then the default highlighting colors will be used. If the tooltip field is null (or empty), then no tooltip will be displayed.

### Field Summary

Fields
`Color` `colorBackground` colorBackground, This will be used as the background on the highlight date.
`Color` `colorText` colorText, This will be used to color the text (the date number) on the highlight date.
`String` `tooltipText` tooltipText, This text will be displayed as a "hover tooltip" on the highlighted date.

### Constructor Summary

Constructors
Constructor and Description
`HighlightInformation()` Constructor, Default.
`HighlightInformation(Color colorBackground)` Constructor, With a background color only.
`HighlightInformation(Color colorBackground, Color colorText)` Constructor, With all color fields.
`HighlightInformation(Color colorBackground, Color colorText, String tooltipText)` Constructor, With all fields.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### colorBackground

    public Color colorBackground

colorBackground, This will be used as the background on the highlight date. If this field is null, then a default color will be used. The default color is retrieved from "DatePickerSettings.colorBackgroundHighlightedDates". (If the default has not been changed, it will be "Color.green".)

#### colorText

    public Color colorText

colorText, This will be used to color the text (the date number) on the highlight date. If this field is null, then a default color will be used. The default is "Color.black".

#### tooltipText

    public String tooltipText

tooltipText, This text will be displayed as a "hover tooltip" on the highlighted date. If this field is null or empty, then no tooltip will be displayed.

### Constructor Detail

#### HighlightInformation

    public HighlightInformation()

Constructor, Default.

#### HighlightInformation

    public HighlightInformation(Color colorBackground)

Constructor, With a background color only.

#### HighlightInformation

    public HighlightInformation(Color colorBackground,
                                Color colorText)

Constructor, With all color fields.

#### HighlightInformation

    public HighlightInformation(Color colorBackground,
                                Color colorText,
                                String tooltipText)

Constructor, With all fields.